0

Note: Originally posted question on Ask Ubuntu and they kindly directed to this StackExchange as more appropriate for a non-official Ubuntu derivative.


Background information.

Currently Running POP_OS 20.04

Installed mousepad text editor when OS version was at 18.10 and used it as default text editor throughout upgrades to successive OS releases. I am now running Pop_OS 20.04 LTS and find that gedit works fine for basic text editing. Now ready to remove mousepad (along with any unnecessary dependencies if safe and possible).

Have set gedit as default text editor.

First attempt to uninstall mousepad 0.4.2 (deb version) via POP Shop gives the following error,

Failed to uninstall “Mousepad”

This may have been caused by external or manually compiled software.
The following packages have unmet dependencies:
  gir1.2-gtksource-3.0: Depends: libgtksourceview-3.0-1 (>= 3.23.90) but it is not going to be installed

Looked at removal of mousepad (only) using command line gives the following,
sudo apt remove mousepad
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 1,612 kB disk space will be freed. (aborted for now)

Then looked at removal of mousepad and dependencies using command,

username@computer:~$ sudo apt autoremove mousepad
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  diffstat engrampa engrampa-common exfalso fonts-font-awesome fonts-lato
  fuseiso gir1.2-gst-plugins-base-1.0 gir1.2-gtksource-3.0
  gir1.2-javascriptcoregtk-4.0 gir1.2-keybinder-3.0 gir1.2-webkit2-4.0
  gnome-shell-extension-pop-battery-icon-fix gnustep-base-common
  gnustep-base-runtime gnustep-common i965-va-driver:i386 icoutils
  intel-media-va-driver:i386 javascript-common libaom0:i386 libappindicator1
  libappstreamqt2 libapt-pkg-perl libaribb24-0:i386 libasn1-8-heimdal:i386
  libasound2:i386 libasound2-plugins:i386 libasync-mergepoint-perl
  libasyncns0:i386 libavahi-client3:i386 libavahi-common-data:i386
  libavahi-common3:i386 libavcodec-extra58:i386 libavutil56:i386
  libb-hooks-endofscope-perl libb-hooks-op-check-perl libbrotli1:i386
  libcaja-extension1 libcapi20-3 libcapi20-3:i386 libcapture-tiny-perl
  libclass-method-modifiers-perl libclass-xsaccessor-perl libclone-perl
  libcodec2-0.9:i386 libcpanel-json-xs-perl libcups2:i386 libcurl3-gnutls:i386
  libdatrie1:i386 libdbus-1-3:i386 libdbusmenu-gtk4 libdevel-callchecker-perl
  libdevel-size-perl libdigest-bubblebabble-perl libdrm-amdgpu1:i386
  libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libdrm2:i386
  libdynaloader-functions-perl libelf1:i386 libemail-valid-perl libexif12:i386
  libexporter-tiny-perl libfaudio0 libfaudio0:i386 libfile-find-rule-perl
  libflac8:i386 libfm-data libfm-extra4 libfm-gtk-data libfm-gtk4
  libfm-modules libfm4 libfont-ttf-perl libfox-1.6-0 libfribidi0:i386
  libfuture-perl libgc1c2 libgd3:i386 libgdbm-compat4:i386 libgdbm6:i386
  libgdk-pixbuf2.0-0:i386 libgl1:i386 libgl1-mesa-dri:i386
  libgl1-mesa-glx:i386 libglapi-mesa:i386 libglu1-mesa:i386 libglvnd0:i386
  libglx-mesa0:i386 libglx0:i386 libgmp10:i386 libgnustep-base1.26
  libgnutls30:i386 libgomp1:i386 libgphoto2-6:i386 libgphoto2-port12:i386
  libgraphite2-3:i386 libgsettings-qt1 libgsm1:i386 libgssapi-krb5-2:i386
  libgssapi3-heimdal:i386 libgtk2-perl libgtksourceview-3.0-1
  libgtksourceview-3.0-common libharfbuzz0b:i386 libhcrypto4-heimdal:i386
  libheimbase1-heimdal:i386 libheimntlm0-heimdal:i386 libhogweed5:i386
  libhx509-5-heimdal:i386 libicu66:i386 libieee1284-3:i386 libigdgmm11:i386
  libimport-into-perl libio-async-loop-epoll-perl libio-async-perl
  libio-pty-perl libio-string-perl libipc-run-perl libjack-jackd2-0:i386
  libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libjs-jquery libjs-modernizr
  libjs-sphinxdoc libjs-underscore libjson-maybexs-perl libk5crypto3:i386
  libkeybinder-3.0-0 libkeyutils1:i386 libkf5itemmodels5
  libkrb5-26-heimdal:i386 libkrb5-3:i386 libkrb5support0:i386 liblcms2-2:i386
  libldap-2.4-2:i386 liblinux-epoll-perl liblist-compare-perl
  liblist-moreutils-perl libltdl7:i386 libmarkdown2 libmenu-cache-bin
  libmenu-cache3 libmodule-implementation-perl libmodule-runtime-perl
  libmoo-perl libmoox-aliases-perl libmp3lame0:i386 libmpg123-0:i386
  libmysqlclient21:i386 libnamespace-clean-perl libnet-dns-perl
  libnet-dns-sec-perl libnet-domain-tld-perl libnet-ip-perl libnettle7:i386
  libnghttp2-14:i386 libnotify-bin libnuma1:i386 libnumber-compare-perl
  libobjc4 libodbc1:i386 libopenal1:i386 libopenjp2-7:i386 libosmesa6
  libosmesa6:i386 libp11-kit0:i386 libpackage-stash-perl
  libpackage-stash-xs-perl libpackagekitqt5-1 libpango-1.0-0:i386
  libpango-perl libpangocairo-1.0-0:i386 libpangoft2-1.0-0:i386
  libparams-classify-perl libpath-tiny-perl libpcap0.8:i386 libpci3:i386
  libpciaccess0:i386 libpeony2 libperl5.30:i386 libperlio-gzip-perl
  libpsl5:i386 libpulse0:i386 libqhttpengine0 libreadonly-perl
  libref-util-perl libref-util-xs-perl libroken18-heimdal:i386
  librole-tiny-perl librsvg2-2:i386 librsvg2-common:i386 librtmp1:i386
  libsamplerate0:i386 libsane:i386 libsasl2-2:i386 libsasl2-modules:i386
  libsasl2-modules-db:i386 libsdl2-2.0-0:i386 libsensors5:i386
  libsereal-decoder-perl libsereal-encoder-perl libsereal-perl libshine3:i386
  libsnapd-qt1 libsnappy1v5:i386 libsndfile1:i386 libsndio7.0:i386
  libsnmp35:i386 libsoxr0:i386 libspeex1:i386 libsqlite3-0:i386 libssh-4:i386
  libssl1.1:i386 libstb0 libstb0:i386 libstrictures-perl libstruct-dumb-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-quote-perl
  libswresample3:i386 libsystemd0:i386 libtasn1-6:i386 libtest-fatal-perl
  libtest-refcount-perl libtext-glob-perl libtext-levenshtein-perl
  libthai0:i386 libtiff5:i386 libtwolame0:i386 libtype-tiny-perl
  libtype-tiny-xs-perl libudev1:i386 libunicode-utf8-perl libusb-1.0-0:i386
  libv4l-0:i386 libv4lconvert0:i386 libva-drm2:i386 libva-x11-2:i386
  libva2:i386 libvariable-magic-perl libvdpau1:i386 libvkd3d1 libvkd3d1:i386
  libvo-amrwbenc0:i386 libvpx6:i386 libvulkan1:i386 libwavpack1:i386
  libwayland-client0:i386 libwayland-cursor0:i386 libwayland-egl1:i386
  libwebp6:i386 libwebpmux3:i386 libwind0-heimdal:i386 libwrap0:i386
  libx11-xcb1:i386 libx265-179:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386
  libxcb-glx0:i386 libxcb-present0:i386 libxcb-randr0:i386 libxcb-sync1:i386
  libxcb-xfixes0:i386 libxcomposite1:i386 libxcursor1:i386 libxdamage1:i386
  libxfce4util-bin libxfce4util-common libxfce4util7 libxfconf-0-3
  libxfixes3:i386 libxi6:i386 libxinerama1:i386 libxkbcommon0:i386
  libxml-writer-perl libxml2:i386 libxpm4:i386 libxrandr2:i386
  libxshmfence1:i386 libxslt1.1:i386 libxss1:i386 libxvidcore4:i386
  libxxf86vm1:i386 libyaml-libyaml-perl libzvbi0:i386 lintian lxmenu-data
  mate-desktop-common mate-terminal-common mesa-va-drivers:i386
  mesa-vdpau-drivers:i386 mesa-vulkan-drivers:i386 mousepad
  ocl-icd-libopencl1:i386 p7zip p7zip-full parchives patchutils
  python3-dbus.mainloop.pyqt5 python3-feedparser python3-musicbrainzngs
  python3-mutagen python3-pyflatpak python3-pyinotify
  qml-module-org-kde-kcoreaddons qml-module-org-kde-kquickcontrols
  qml-module-org-kde-qqc2desktopstyle qml-module-qtquick-controls
  qml-module-qtquick-dialogs qml-module-qtquick-layouts
  qml-module-qtquick-privatewidgets qt5-gtk2-platformtheme
  sphinx-rtd-theme-common t1utils unar va-driver-all:i386
  vdpau-driver-all:i386 xarchiver xfconf
0 upgraded, 0 newly installed, 324 to remove and 0 not upgraded.
After this operation, 787 MB disk space will be freed.
Do you want to continue? [Y/n] (aborted for now)

I could probably be fine to remove only mousepad (1,612 kB) but would certainly like to remove 787 MB worth of 324 apparently no longer needed dependencies. However, given the amount of information coming back don't have enough knowledge and experience to tell the terminal yes - please remove these.

The Question: Would it really be basically safe to remove these dependencies without causing catastrophic issues? If not, I'm curious to know what is happening here...

Have so far understood that autoremove command would only remove dependencies that are no longer needed (safe to uninstall) but possibly this assumption is not correct.

1
  • In case it's helpful to know OS is running natively (preinstalled) on System76 hardware. Was experimenting with different text editors when the machine was new. One of these was mousepad which I had installed from the POP Shop (0.4.2 deb package). Having rediscovered gedit 3.36.2 I'm finding it to have exactly the features I need in a basic text editor, which is all I need. Apr 26, 2021 at 18:03

1 Answer 1

0

sudo apt autoremove will not break anything or remove dependencies that are required by other packages.

Running it with the extra argument for mousepad, sudo apt autoremove mousepad will only add mousepad & it's unique dependencies to the list of orphans to be removed.

1
  • Thanks. I ended up running them separately. First apt autoremove went through and cleaned up leftover dependencies. Doesn't seem to have caused any issues. Was then able to uninstall mousepad. I get the sense that the real issue was having large amount leftover dependencies and that attempt to uninstall mousepad was only highlighting the fact. Maybe something happened (or didn't correctly happen) during upgrade from 19.10 to 20.04. Oct 4, 2021 at 10:33

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .